## org.eclipse.datatools.connectivity.ui.actions
Class WorkOfflineActionProvider

    java.lang.Object
      CommonActionProvider
          org.eclipse.datatools.connectivity.ui.actions.WorkOfflineActionProvider

public class WorkOfflineActionProvider
extends CommonActionProvider

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `OFFLINE_MENU_GROUP`

Constructor Summary
`WorkOfflineActionProvider()`

Method Summary
`void` `dispose()`
`void` `fillContextMenu(IMenuManager menu)`
`void` `init(ICommonActionExtensionSite aSite)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OFFLINE_MENU_GROUP

    public static final java.lang.String OFFLINE_MENU_GROUP

See Also:
  Constant Field Values

Constructor Detail

### WorkOfflineActionProvider

    public WorkOfflineActionProvider()

Method Detail

### init

    public void init(ICommonActionExtensionSite aSite)

### dispose

    public void dispose()

### fillContextMenu

    public void fillContextMenu(IMenuManager menu)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.